/*******************************************************************************
*
* Project:      seft (search engine for text)
*
* File:         heap.h
*
* Author:       Owen de Kretser (oldk@cs.mu.oz.au)
*
* Organisation: Dept. of CS&SE, University of Melbourne
*
* Date:         April 1999
*
* Purpose:      heap functions
*
*******************************************************************************/

#ifndef __HEAP
#define __HEAP

/***** #includes **************************************************************/

#include <stdio.h>
#include "types.h"

/***** Function Prototypes ****************************************************/

WORD**      heap_insert(WORD*, WORD**, int);
WORD**      heap_up(WORD**, int);
WORD*       heap_remove(WORD**, int *);
WORD**      heap_down(WORD**, int, int);

/******************************************************************************/

#endif
