/*****************************************************************************
 *
 *   Transformational Rules used in Recoding Stem Terminations
 *
 *   Parameter in functions:
 *       ch : the second last character of the old ending
 *            (after removing one of double consonants) 
 *
 ****************************************************************************/
 

/************ Conditional rules associated with transformations **************/

static int aio();
static int s();
static int pt();
static int m();
static int n();

static int aio(ch)					/* Rule number 9     */
char ch;
{
    return ((ch != 'a') && (ch != 'i') && (ch != 'o'));
}
 
static int s(ch)					/* Rule Number 24    */
char ch;
{
    return (ch != 's');
}
 
static int pt(ch)					/* Rule number 28    */
char ch;
{
    return ((ch != 'p') && (ch != 't'));
}
 
static int m(ch)					/* Rule number 30    */
char ch;
{
    return (ch != 'm');
}
 
static int n(ch)					/* Rule number 32    */
char ch;
{
    return (ch != 'n');
}

